complexType "RelatedParty"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 4 elements
Defined: | globally in fpml-shared-5-3.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 3 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | partyReference?, accountReference?, role?, type?
</...>

Content Model Elements (4):

  accountReference (defined in PartyAndAccountReferences.model group),
  partyReference (defined in PartyAndAccountReferences.model group),
  role (defined in RelatedParty complexType),
  type (defined in RelatedParty complexType)

All Direct / Indirect Based Elements (3):

  relatedParty (defined in PartyExposureCategory.model group), relatedParty (defined in PartyTradeInformation complexType), | relatedParty (in allocation)

Known Usage Locations

- As direct type of elements (3):

  relatedParty (defined in PartyExposureCategory.model group), relatedParty (defined in PartyTradeInformation complexType), | relatedParty (in allocation)

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="RelatedParty"> <xsd:sequence> <xsd:group ref="PartyAndAccountReferences.model"/> <xsd:element minOccurs="0" name="role" type="PartyRole"/> <xsd:element minOccurs="0" name="type" type="PartyRoleType"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/4)
role

  Type: | PartyRole, simple content

  The category of the relationship. The related party performs the role specified in this field for the base party. For example, if the role is "Guarantor", the related party acts as a guarantor for the base party.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="role" type="PartyRole"/>

type

  Type: | PartyRoleType, simple content

  Additional definition refining the type of relationship. For example, if the "role" is Guarantor, this element may be used to specify whether all positions are guaranteed, or only a subset of them.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="type" type="PartyRoleType"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.